Name:           rubygem-argon2
Version:        2.0.2
Release:        lp156.1.1
%define mod_name argon2
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/technion/ruby-argon2
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-argon2.rpmlintrc
Source2:        gem2rpm.yml
Summary:        Argon2 FFI binding
License:        MIT
Group:          Development/Languages/Ruby

%description
FFI bindings, and a simplified interface, to the Argon2 algorithm. 
Argon2 is the official winner of the Password Hashing Competition, 
a several year project to identify a successor to bcrypt/PBKDF/scrypt 
methods of securely storing passwords. This is an independant 
project and not official from the PHC team.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
